<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "search" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-1">Proces toevoegen</h1>

    <p class="text-gray-500 mb-3">Proces van vreemdeling <span class="font-medium">{{.vreemdelingNummer}}</span></p>

    <p class="mb-7"><a class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline" href="/vreemdelingen/{{.vreemdelingNummer}}{{.routeSuffix}}"><svg class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h14M5 12l6 6m-6-6l6-6"/></svg> Terug naar de persoon</a></p>

    <form action="/vreemdelingen/{{.vreemdelingNummer}}/processen{{.routeSuffix}}" method="post">
      <label class="block text-gray-600 font-medium break-words mb-3">Kies een procestype</label>

      {{$writableProcesses := .role.WritableProcesAttributes}}

      <div class="grid sm:grid-cols-2 md:grid-cols-3 gap-4 mb-7">
        {{range .processen}}
        {{if index $writableProcesses .Name}}
        <label class="block px-4 py-2 rounded-md border border-slate-200 cursor-pointer hover:bg-white [&:has(input:checked)]:bg-white">
          <input class="form-radio mr-2 text-sky-600 bg-white border-gray-300 focus:ring-sky-500" type="radio" name="type" value="{{.Name}}" hx-get="/vreemdelingen/{{$.vreemdelingNummer}}/processen/new-details{{$.routeSuffix}}" hx-trigger="click"
          hx-target="#details">
          {{.Label}}
        </label>
        {{end}}
        {{end}}
      </div>

      <div id="details" class="grid grid-cols-12"></div>

      <p>
        <button
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit">
          Opslaan
        </button>
      </p>
    </form>

  </div>
</div>
